class VgkCardHorizontalWithSubModel {
  VgkCardHorizontalWithSubModel({
    this.key,
    this.data,
  });

  String key;
  List<VgkCardHorizontalFirstWithSubDetailModel> data;

  VgkCardHorizontalWithSubModel copyWith({
    String key,
    List<VgkCardHorizontalFirstWithSubDetailModel> data,
  }) =>
      VgkCardHorizontalWithSubModel(
        key: key ?? this.key,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalWithSubModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalWithSubModel(
        key: json["key"] == null ? "" : json["key"],
        data: json["data"] == null
            ? []
            : List<VgkCardHorizontalFirstWithSubDetailModel>.from(json["data"]
                .map((x) =>
                    VgkCardHorizontalFirstWithSubDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalFirstWithSubDetailModel {
  VgkCardHorizontalFirstWithSubDetailModel({
    this.key,
    this.src,
    this.value,
    this.data,
  });

  String key;
  String src;
  String value;

  List<VgkCardHorizontalFirstWithSubInfoDetailModel> data;

  VgkCardHorizontalFirstWithSubDetailModel copyWith({
    String key,
    String src,
    String value,
    List<VgkCardHorizontalFirstWithSubInfoDetailModel> data,
  }) =>
      VgkCardHorizontalFirstWithSubDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalFirstWithSubDetailModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontalFirstWithSubDetailModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
        data: json["data"] == null
            ? null
            : List<VgkCardHorizontalFirstWithSubInfoDetailModel>.from(
                json["data"].map((x) =>
                    VgkCardHorizontalFirstWithSubInfoDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalFirstWithSubInfoDetailModel {
  VgkCardHorizontalFirstWithSubInfoDetailModel({
    this.key,
    this.value,
    this.src,
    this.type,
  });

  String key;
  String value;
  String src;
  String type;

  VgkCardHorizontalFirstWithSubInfoDetailModel copyWith({
    String key,
    String src,
    String value,
    String type,
  }) =>
      VgkCardHorizontalFirstWithSubInfoDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        type: type ?? this.type,
      );

  factory VgkCardHorizontalFirstWithSubInfoDetailModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontalFirstWithSubInfoDetailModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
        type: json["type"] == null ? "" : json["type"],
      );
}
